path: /build/build/nvidia-535-kernel-modules-kernel-5.15-535.261.03.package.tar.zst
dependencies: []
compilespec:
  steps:
  - anise repo update && anise upgrade -y && anise i -y x11-drivers-535/nvidia-drivers
    && anise cleanup && emerge =x11-drivers/nvidia-kernel-modules-535.261.03 -pv -t
  - |
    emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-535.261.03
  - |
    eval 'rm -rf /nvidia-535-kernel-modules || true' && mkdir /nvidia-535-kernel-modules && \
    luet-portage --dir /nvidia-535-kernel-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-535-kernel-modules/lib/modules/nvidia/535.261.03/5.15.191-macaroni/video/*.ko
    ; do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:ef9a9d8b90889182d3fb2d6fa69624a3fbd20a84c1346a672e65633326f4d95d
  package:
    name: nvidia-535-kernel-modules
    version: 535.261.03
    category: kernel-5.15
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.15
    annotations:
      kernel_module: true
    buildtimestamp: 2025-09-15 07:16:56.650005058 +0000 UTC m=+844.886215906
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.15.191
      original.package.slot: "535"
      original.package.version: 535.261.03
    treedir: /build/packages
  package_dir: /nvidia-535-kernel-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 2cddc2188aa2047aaf486775e24616bd6338727d06a724a11ac9465a25993c13
compressiontype: zstd
files:
- lib/modules/nvidia/535.261.03/5.15.191-macaroni/video/nvidia-drm.ko.zst
- lib/modules/nvidia/535.261.03/5.15.191-macaroni/video/nvidia-modeset.ko.zst
- lib/modules/nvidia/535.261.03/5.15.191-macaroni/video/nvidia-uvm.ko.zst
- lib/modules/nvidia/535.261.03/5.15.191-macaroni/video/nvidia.ko.zst
package_cacheimage: ""
runtime:
  name: nvidia-535-kernel-modules
  version: 535.261.03
  category: kernel-5.15
  requires:
  - name: gpu-configurator
    version: '>=0'
    category: app-admin
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.15.191
    original.package.slot: "535"
    original.package.version: 535.261.03
